%define anolis_release 2
%bcond_with doc
%global         srcname         olefile
%global         _description    %{expand:
olefile is a Python package to parse, read and write Microsoft OLE2 files
(also called Structured Storage, Compound File Binary Format or Compound
Document File Format), such as Microsoft Office 97-2003 documents,
vbaProject.bin in MS Office 2007+ files, Image Composer and FlashPix files,
Outlook messages, StickyNotes, several Microscopy file formats, McAfee
antivirus quarantine files, etc.
}

Name:           python-olefile
Version:        0.46
Release:        %{anolis_release}%{?dist}
Summary:        Python package to parse, read and write Microsoft OLE2 files
License:        BSD
URL:            https://www.decalage.info/olefile
Source0:        https://files.pythonhosted.org/packages/source/o/%{srcname}/%{srcname}-%{version}.zip

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  dos2unix
BuildRequires:  /usr/bin/find

%description %{_description}

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{srcname} %{_description}
Python3 version.

%package -n python3-%{srcname}-doc
Summary:        %{summary}
BuildArch:      noarch
%if %{with doc}
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme
%endif

%description -n python3-%{srcname}-doc %{_description}
This package contains documentation for %{name}.

%prep
%autosetup -p1 -n %{srcname}-%{version}

# Fix windows EOL
find ./ -type f -name '*.py' -exec dos2unix '{}' ';'
dos2unix doc/*.rst


%build
%py3_build

%if %{with doc}
make -C doc html BUILDDIR=_doc_build SPHINXBUILD=sphinx-build-%{python3_version}
%endif

%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} tests/test_olefile.py

%files -n python3-%{srcname}
%license doc/License.rst
%{python3_sitelib}/olefile-*.egg-info
%{python3_sitelib}/olefile/

%files -n python3-%{srcname}-doc
%if %{with doc}
%doc doc/_doc_build/html
%endif
%doc README.md

%changelog
* Tue Mar 12 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.46-2
- Rebuild with python3.11

* Mon Mar 27 2023 happy_orange <songnannan@linux.alibaba.com> - 0.46-1
- init package from upstream
